orte/mca/soh/soh.h File Reference.TH "orte/mca/soh/soh.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/soh/soh.h \- The Open MPI State-of-Health Monitoring Subsystem. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/soh/soh_types.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_SOH_BASE_VERSION_1_0_0\fP"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_get_proc_soh_fn_t\fP )(orte_proc_state_t *state, int *status, orte_process_name_t *proc)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_set_proc_soh_fn_t\fP )(orte_process_name_t *proc, orte_proc_state_t state, int status)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_get_node_soh_fn_t\fP )(orte_node_state_t *state, orte_cellid_t cell, char *nodename)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_set_node_soh_fn_t\fP )(orte_cellid_t cell, char *nodename, orte_node_state_t state)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_get_job_soh_fn_t\fP )(orte_job_state_t *state, \fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_set_job_soh_fn_t\fP )(\fBorte_jobid_t\fP jobid, orte_job_state_t state)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_begin_monitoring_fn_t\fP )(\fBorte_jobid_t\fP job)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_module_finalize_fn_t\fP )(void)"
.br
.ti -1c
.RI "typedef orte_soh_base_module_1_0_0_t \fBorte_soh_base_module_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef orte_soh_base_module_1_0_0_t \fBorte_soh_base_module_t\fP"
.br
.ti -1c
.RI "typedef orte_soh_base_module_t *(* \fBorte_soh_base_component_init_fn_t\fP )(int *priority)"
.br
.ti -1c
.RI "typedef int(* \fBorte_soh_base_component_finalize_fn_t\fP )(void)"
.br
.ti -1c
.RI "typedef orte_soh_base_component_1_0_0_t \fBorte_soh_base_component_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef orte_soh_base_component_1_0_0_t \fBorte_soh_base_component_t\fP"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC orte_soh_base_module_t \fBorte_soh\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI State-of-Health Monitoring Subsystem. 


.SH "Define Documentation"
.PP 
.SS "#define ORTE_SOH_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* soh v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* soh v1.0 */ \
  'soh', 1, 0, 0
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
